Package fr.gouv.vitam.worker.core.handler

# Class PersistentIdentifierGenerationService

java.lang.Object
fr.gouv.vitam.worker.core.handler.PersistentIdentifierGenerationService

public class PersistentIdentifierGenerationService extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PERSISTENT_IDENTIFIER_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersistentIdentifierGenerationService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fillArkPersistentIdentifier(PersistentIdentifierPolicy policy, com.fasterxml.jackson.databind.JsonNode qualifierToUpdate)`
  Fill generated persistent identifier on objects according to management contract settings
  `static PersistentIdentifierGenerationService`
  `getInstance()`
  `void`
  `handlePersistentIdentifierForGot(Map<String,List<com.fasterxml.jackson.databind.JsonNode>> objectsByQualifierMap, ManagementContractModel managementContractModel, PersistentIdentifierPolicyTypeEnum persistentIdentifierType)`
  Service to fill generated persistent identifiers and management contract id on objects
  `void`
  `handlePersistentIdentifierForUnit(ArchiveUnitRoot archiveUnitRoot, String unitGUID, ManagementContractModel managementContractModel, PersistentIdentifierPolicyTypeEnum persistentIdentifierType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PERSISTENT_IDENTIFIER_FIELD

    public static final String PERSISTENT_IDENTIFIER_FIELD
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PersistentIdentifierGenerationService

    public PersistentIdentifierGenerationService()

- ## Method Details

  - ### getInstance

    public static PersistentIdentifierGenerationService getInstance()

  - ### handlePersistentIdentifierForGot

    public void handlePersistentIdentifierForGot(Map<String,List<com.fasterxml.jackson.databind.JsonNode>> objectsByQualifierMap, ManagementContractModel managementContractModel, PersistentIdentifierPolicyTypeEnum persistentIdentifierType) throws InvalidParseOperationException
    Service to fill generated persistent identifiers and management contract id on objects
    Parameters:
      `objectsByQualifierMap` - map containing the qualifier -> list of objects
      `managementContractModel` - the management contract
    Throws:
      `InvalidParseOperationException`

  - ### fillArkPersistentIdentifier

    public void fillArkPersistentIdentifier(PersistentIdentifierPolicy policy, com.fasterxml.jackson.databind.JsonNode qualifierToUpdate) throws InvalidParseOperationException
    Fill generated persistent identifier on objects according to management contract settings
    Parameters:
      `policy` -
      `qualifierToUpdate` -
    Throws:
      `InvalidParseOperationException`

  - ### handlePersistentIdentifierForUnit

    public void handlePersistentIdentifierForUnit(ArchiveUnitRoot archiveUnitRoot, String unitGUID, ManagementContractModel managementContractModel, PersistentIdentifierPolicyTypeEnum persistentIdentifierType)